$f=shift; ###fasta file containing unaligned sequences
$fs=shift; ###file suffix to append to temporary file probA.out
$t=shift; ###T parameter
$gapopen=shift; ###gap open
$gapext=shift; ###gap extend

open(IN, $f);$i=-1;@allseqs=();@allnames=();
while(<IN>){
        if(substr($_,0,1) eq ">"){$i++;$allnames[$i]=$_;}
	###replace ambiguities
        else {chomp $_;$_=~s/Z/Q/g; $_=~s/[BX]/N/g;$allseqs[$i].=$_;}
}
close IN; $total=$i+1;

$k=1;

for(my $s1=0; $s1 < $total; $s1++){
        for(my $s2=$s1+1; $s2 < $total; $s2++){
	        if($s1 == $s2) { next; }
        	open(OUT, ">pair.$fs"); print OUT $allnames[$s1]."\n".$allseqs[$s1]."\n"; 
	        print OUT $allnames[$s2]."\n".$allseqs[$s2]."\n"; close OUT; %tempmap=(); $done=0;

		$output = `./probA_modified -T $t -N 1 --noPS --prot --score_matrix gonnet --pam 160 --gapopen $gapopen --gapext $gapext < pair.$fs`;

		@s=split(/\n/, $output); $i=0;
		for($i=0; $i<scalar(@s); $i++){
                        if(substr($s[$i],0,5) eq "ERROR"){print "ERROR\n"; exit; }
			if(substr($s[$i],0,1) ne "#"){ last; } 
		}
		$l=$s[$i+1]; chomp $l;
		print "$s1 $s2 : $l";
		print "-1 \n";
	}
}
system "rm -f pair.$fs";
